Summary:	Graphical IRC (chat) client
Summary(de.UTF-8):	IRC-Client (Chat) mit grafischer Oberfläche
Summary(fr.UTF-8):	Client IRC (chat) avec interface graphique
Summary(pl.UTF-8):	Graficzny klient IRC (chat)
Name:		xchat-gnome
Version:	0.26.1
Release:	5
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://ftp.gnome.org/pub/GNOME/sources/xchat-gnome/0.26/%{name}-%{version}.tar.bz2
# Source0-md5:	c9ce3d6e549736edfc1a1dc0282fb363
Patch0:		%{name}-long-delimiter.patch
Patch1:		%{name}-notify.patch
Patch2:		%{name}-makefile.patch
Patch3:		perl-detect.patch
URL:		http://xchat-gnome.navi.cx/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-gtk-devel >= 0.3
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libsexy-devel >= 0.1.11
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GUI IRC client with DCC file transfers, C plugin interface, Perl and
Python scripting capability, mIRC color, shaded transparency, tabbed
channels and more.

%description -l pl.UTF-8
Klient IRC z graficznym interfejsem użytkownika, z przesyłaniem plików
DCC, interfejsem do wtyczek w C, możliwością uruchamiania skryptów w
Perlu i Pythonie, obsługą kolorów mIRC-a, cieniowaną
przezroczystością, zakładkami z kanałami itd.

%package perl
Summary:	XChat Perl plugin
Summary(pl.UTF-8):	Wtyczka Perla do XChata
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	perl-base

%description perl
Provides Perl scripting capability to XChat.

%description perl -l pl.UTF-8
Wtyczka dodająca do XChata możliwość uruchamiania skryptów w Perlu.

%package python
Summary:	XChat Python plugin
Summary(pl.UTF-8):	Wtyczka Pythona do XChata
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	python >= 2.2.0

%description python
Provides Python scripting capability to XChat.

%description python -l pl.UTF-8
Wtyczka dodająca do XChata możliwość uruchamiania skryptów w Pythonie.

%prep
%setup -q
%patch0 -p1
%patch1	-p1
%patch2	-p1
%patch3	-p1

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-compile-warnings=minimum \
	--disable-static \
	--disable-tcl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/xchat-gnome/plugins/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install apps_xchat.schemas
%gconf_schema_install notification.schemas
%gconf_schema_install url_handler.schemas
%gconf_schema_install urlscraper.schemas
%scrollkeeper_update_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall apps_xchat.schemas
%gconf_schema_uninstall notification.schemas
%gconf_schema_uninstall url_handler.schemas
%gconf_schema_uninstall urlscraper.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/xchat-gnome
%dir %{_libdir}/xchat-gnome
%dir %{_libdir}/xchat-gnome/plugins
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/autoaway.so
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/netmonitor.so
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/notification.so
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/notifyosd.so
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/soundnotification.so
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/urlscraper.so
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/xchat-gnome
%{_desktopdir}/xchat-gnome.desktop
%{_sysconfdir}/gconf/schemas/apps_xchat.schemas
%{_sysconfdir}/gconf/schemas/notification.schemas
%{_sysconfdir}/gconf/schemas/url_handler.schemas
%{_sysconfdir}/gconf/schemas/urlscraper.schemas
%{_datadir}/dbus-1/services/org.gnome.Xchat.service
%{_mandir}/man1/xchat-gnome.1*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/perl.so

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xchat-gnome/plugins/python.so
%changelog
* Mon Sep 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xchat-gnome.git;a=log;h=master

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 30db83d
- disable almost -Werror
- rel 5

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 0ae78fa
- rel 4

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 1409931
- fix perl detection in configure

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 0d73192
- rel 3

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 12d6f95
- new function must be static due to -Wstrict-prototypes

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 67d43bb
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed May 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 2aea07a
- added xchat-gnome-makefile.patch - wrong chars in Makefile
- added xchat-gnome-notify.patch for changes in function notify_notification_new
- up to 0.26.1

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> ddcdc7a
- Requires(post,postun): gtk-update-icon-cache

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 293bc98
- release 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a38319
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f6a1a65
- drop obsolete files

* Sun Mar 15 2009 Patryk Zawadzki <patrys@room-303.com> a58dfd6
- 0.26.0

* Tue Feb 10 2009 duddits <duddits@pld-linux.org> 54a9fbe
- up to 0.24.3.1

* Wed Oct 22 2008 Marcin Banasiak <marcin.banasiak@gmail.com> cec4945
- updated to 0.24.1

* Mon Oct 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 2dc159d
- --disable-static instead of building and rming
- R =~ s/perl/perl-base/
- GPL version

* Sun Oct 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> caab3fd
- updated for 0.24.0

* Sun Oct 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> a673ab2
- updated to 0.24.0

* Wed Aug 22 2007 aredridel <aredridel@pld-linux.org> 12c2876
- Buildrequires

* Mon Jul 09 2007 aredridel <aredridel@pld-linux.org> 4537b14
- 0.18

* Fri Apr 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 5ec2586
- outdated

